Bug 1792818 - [Ceph-dashboard] iSCSI -> iscsi operations requires manual iptable flush on iscsi gateway nodes
Summary: [Ceph-dashboard] iSCSI -> iscsi operations requires manual iptable flush on ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: iSCSI
Version: 4.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: rc
: 4.1
Assignee: Mike Christie
QA Contact: Madhavi Kasturi
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2020-01-20 04:48 UTC by Sunil Angadi
Modified: 2020-03-02 16:22 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
.The Dashboard requires to disable `iptables` rules The {product} Dashboard is unable to perform any iSCSI operations, such as creating a gateway, unless all `iptables` rules are manually disabled on the Ceph iSCSI node. To do so, use the following command as `root` or the `sudo` user: ---- # iptables -F ---- Note that after a reboot, the rules are enabled again. Either disable them again or delete them permanently.
Clone Of:
Environment:
Last Closed: 2020-03-02 16:22:52 UTC
Target Upstream Version:
dsavinea: needinfo-


Attachments (Terms of Use)

Comment 10 Ernesto Puerta 2020-01-27 12:41:54 UTC
@Bara: in this case I cannot say. "iptables -F" will only disable rules until next reboot, so if the issue comes from an existing rule, it should modified persistently or the 'flush' will need to happen after every reboot.

@Sunil: could you please check whether the issue reappears after a reboot of the node where you run iptables -F? Thanks!


Note You need to log in before you can comment on or make changes to this bug.